CREATE OR REPLACE PROCEDURE JR51575_INSERT
AS
v_rowcnt pls_INTEGER DEFAULT 0;
BEGIN
	
	SELECT count(1)
	INTO	v_rowcnt
	FROM	db_sysproperties
	where propname='bcg.config.ftpmanagement.nonfipsprotocols';
	COMMIT;	
	IF v_rowcnt= 0 THEN
	
	INSERT INTO db_sysproperties(
		SYSPROPID,
		PROPNAME, PROPVALUE, RESOURCEKEY, COMPONENT, SYSPROPGRPID)
   SELECT db_sysproperties_seq.NEXTVAL, 'bcg.config.ftpmanagement.nonfipsprotocols','TLSv1','bcg.config.ftpmanagement.nonfipsprotocols',5, SYSPROPGRPID FROM db_sysproperties_group WHERE groupname = 'FTP OTHER PROPERTIES' AND NOT EXISTS (SELECT 'x' FROM db_sysproperties WHERE PROPNAME = 'bcg.config.ftpmanagement.nonfipsprotocols');
         
	
	COMMIT;
	END IF;
	

	SELECT count(1)
	INTO	v_rowcnt
	FROM	db_sysproperties
	where propname='bcg.nonfips.protocols';
	IF v_rowcnt= 0 THEN
	INSERT INTO db_sysproperties(SYSPROPID,
	PROPNAME, PROPVALUE, RESOURCEKEY, COMPONENT, SYSPROPGRPID)
   SELECT db_sysproperties_seq.NEXTVAL,'bcg.nonfips.protocols','TLSv1','bcg.nonfips.protocols',3, SYSPROPGRPID FROM db_sysproperties_group WHERE groupname = 'docmgrSecurity' AND NOT EXISTS (SELECT 'x' FROM db_sysproperties WHERE PROPNAME = 'bcg.nonfips.protocols');
	COMMIT;
	END IF;
END;
/
call JR51575_INSERT()
/
Drop procedure JR51575_INSERT
/
