CREATE PROCEDURE JR51575_INSERT()
BEGIN
	DECLARE v_rowcnt INTEGER DEFAULT 0;
	
	SELECT count(1)
	INTO	v_rowcnt
	FROM	db_sysproperties
	where propname='bcg.config.ftpmanagement.nonfipsprotocols';
	COMMIT;	
	IF v_rowcnt= 0 THEN
	
          INSERT INTO db_sysproperties(COMPONENT, PROPNAME, PROPVALUE, RESOURCEKEY, SYSPROPGRPID)
	SELECT 5, 'bcg.config.ftpmanagement.nonfipsprotocols', 'TLSv1', 'bcg.config.ftpmanagement.nonfipsprotocols', SYSPROPGRPID FROM db_sysproperties_group WHERE groupname = 'FTP OTHER PROPERTIES' AND NOT EXISTS (SELECT 'x' FROM db_sysproperties WHERE PROPNAME = 'bcg.config.ftpmanagement.nonfipsprotocols' AND COMPONENT = 5);
	
	COMMIT;
	END IF;
	SET v_rowcnt =0;
	SELECT count(1)
	INTO	v_rowcnt
	FROM	db_sysproperties
	where propname='bcg.nonfips.protocols';
	COMMIT;	
	IF v_rowcnt= 0 THEN
	INSERT INTO db_sysproperties(PROPNAME, PROPVALUE, RESOURCEKEY, COMPONENT, SYSPROPGRPID)
   SELECT 'bcg.nonfips.protocols','TLSv1','bcg.nonfips.protocols',3, SYSPROPGRPID FROM db_sysproperties_group WHERE groupname = 'docmgrSecurity' AND NOT EXISTS (SELECT 'x' FROM db_sysproperties WHERE PROPNAME = 'bcg.nonfips.protocols');
	COMMIT;
	END IF;
END
!
call JR51575_INSERT()
!
Drop procedure JR51575_INSERT
!
