CREATE PROCEDURE JR51575_DELETE()
BEGIN
	DECLARE v_rowcnt INTEGER DEFAULT 0;
	
	SELECT count(1)
	INTO	v_rowcnt
	FROM	db_sysproperties
	where propname='bcg.config.ftpmanagement.nonfipsprotocols';
	COMMIT;	

	IF v_rowcnt!= 0 THEN
		DELETE FROM DB_SYSPROPERTIES
	WHERE RESOURCEKEY = 'bcg.config.ftpmanagement.nonfipsprotocols' 
	AND COMPONENT = 5
	AND SYSPROPGRPID = (SELECT SYSPROPGRPID FROM DB_SYSPROPERTIES_GROUP WHERE GROUPNAME= 'FTP OTHER PROPERTIES');
		COMMIT;
	END IF;
	SET v_rowcnt=0;
	SELECT count(1)
	INTO	v_rowcnt
	FROM	db_sysproperties
	where propname='bcg.nonfips.protocols';
	COMMIT;	

	IF v_rowcnt!= 0 THEN
		DELETE FROM DB_SYSPROPERTIES
	WHERE RESOURCEKEY = 'bcg.nonfips.protocols' 
	AND COMPONENT = 3
	AND SYSPROPGRPID = (SELECT SYSPROPGRPID FROM DB_SYSPROPERTIES_GROUP WHERE GROUPNAME= 'docmgrSecurity');
		COMMIT;
	END IF;
END
!
call JR51575_DELETE()
!
Drop procedure JR51575_DELETE
!